#3934 can't start network services on opensuse 11.4

closed-works-for-me
nobody
None
5
2011-07-09
2011-06-10
Tom Yohe
No

webmin attempts to start the network services at run level 2. on open suse 11.4 this does not work, perhaps because there is no run level 2.

Discussion

  • Jamie Cameron

    Jamie Cameron - 2011-06-11

    Do you mean it creates symlinks from /etc/init.d/rc2.d to scripts in /etc/init.d ?

     
  • Tom Yohe

    Tom Yohe - 2011-06-14

    I'll have to check on your question about the symlinks. What I do know is that after installing webmin, on OpenSuse 11.4, following a reboot of the machine, none of the network services start. You must manually start the network services.

    I have been advised by my associate, Carlos, that the reason is because webmin is setting the network services to run at "run level 2" and this does not exist on OpenSuse 11.4

     
  • Nobody/Anonymous

    As we can see webmin is attempting to load the network service at run level 2.
    There is no network service symbolic link in the /etc/init.d/rc2.d directory.

    #!/bin/sh
    ### BEGIN INIT INFO
    # Provides: webmin
    # Required-Start: $network $syslog
    # Required-Stop: $network
    # Default-Start: 2 3 5
    # Description: Start/stop Webmin
    ### END INIT INFO

    /etc/init.d/rc2.d # ls -lh
    total 0
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01cron -> ../cron
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:34 K01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:34 K01kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01random -> ../random
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K01smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K03syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 K04earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 S01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 S01earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:36 S01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 S01random -> ../random
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:36 S02kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S04syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06webmin -> ../webmin
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:37 S07cron -> ../cron
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S07smartd -> ../smartd

     
  • Jamie Cameron

    Jamie Cameron - 2011-06-21

    Do links in other /etc/rc*.d directories to /etc/init.d/webmin exist? I would expect to see /etc/rc3.d/S*webmin and /etc/rc5.d/S*webmin

     
  • Nobody/Anonymous

    Here is a directory output of rc0.d ... rc5.d
    rc0.d:
    total 0
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 S01halt -> ../halt

    rc1.d:
    total 0
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:36 S01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:36 S02kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 S04single -> ../single

    rc2.d:
    total 0
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01cron -> ../cron
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:34 K01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:34 K01kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01random -> ../random
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K01smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K03syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 K04earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 S01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 S01earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:36 S01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 S01random -> ../random
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:36 S02kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S04syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06webmin -> ../webmin
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:37 S07cron -> ../cron
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S07smartd -> ../smartd

    rc3.d:
    total 0
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01cron -> ../cron
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:34 K01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:34 K01kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01random -> ../random
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01rpcbind -> ../rpcbind
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K01smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 12 Mar 17 21:10 K01webriderd -> ../webriderd
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K02postfix -> ../postfix
    lrwxrwxrwx 1 comtech root 19 Mar 17 20:36 K03network-remotefs -> ../network-remotefs
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K03syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 K04earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:36 K04network -> ../network
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 S01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 S01earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:36 S01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 S01random -> ../random
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:36 S02kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S03network -> ../network
    lrwxrwxrwx 1 comtech root 19 Mar 17 20:37 S04network-remotefs -> ../network-remotefs
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S04syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S06postfix -> ../postfix
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S06rpcbind -> ../rpcbind
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06webmin -> ../webmin
    lrwxrwxrwx 1 comtech root 12 Mar 17 21:10 S06webriderd -> ../webriderd
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:37 S07cron -> ../cron
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S07smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 18 Mar 17 20:36 S99webmin_1 -> /etc/init.d/webmin

    rc4.d:
    total 0

    rc5.d:
    total 0
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01cron -> ../cron
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 K01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:34 K01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:34 K01kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 K01random -> ../random
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K01rpcbind -> ../rpcbind
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K01smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 12 Mar 17 21:10 K01webriderd -> ../webriderd
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 K02postfix -> ../postfix
    lrwxrwxrwx 1 comtech root 19 Mar 17 20:36 K03network-remotefs -> ../network-remotefs
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 K03syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 K04earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:36 K04network -> ../network
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S01cpufreq -> ../cpufreq
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:36 S01dbus -> ../dbus
    lrwxrwxrwx 1 comtech root 14 Mar 17 20:37 S01earlysyslog -> ../earlysyslog
    lrwxrwxrwx 1 comtech root 8 Mar 17 20:36 S01fbset -> ../fbset
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:36 S01random -> ../random
    lrwxrwxrwx 1 comtech root 6 Mar 17 20:36 S02kbd -> ../kbd
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S03network -> ../network
    lrwxrwxrwx 1 comtech root 19 Mar 17 20:37 S04network-remotefs -> ../network-remotefs
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S04syslog -> ../syslog
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06mcelog -> ../mcelog
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S06postfix -> ../postfix
    lrwxrwxrwx 1 comtech root 10 Mar 17 20:37 S06rpcbind -> ../rpcbind
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S06webmin -> ../webmin
    lrwxrwxrwx 1 comtech root 12 Mar 17 21:10 S06webriderd -> ../webriderd
    lrwxrwxrwx 1 comtech root 7 Mar 17 20:37 S07cron -> ../cron
    lrwxrwxrwx 1 comtech root 9 Mar 17 20:37 S07smartd -> ../smartd
    lrwxrwxrwx 1 comtech root 18 Mar 17 20:36 S99webmin_1 -> /etc/init.d/webmin

     
  • Jamie Cameron

    Jamie Cameron - 2011-06-24

    Ok, so that actually looks fine .. there are links from runlevels 3 and 5 as well. So even if runlevel 2 isn't used, I would expect Webmin to start if your system boots into level 3 or 5.

     
  • Tom Yohe

    Tom Yohe - 2011-07-07

    We have found that this is no longer a problem after applying the latest OpenSuse 11.4 updates to our installation image. Thank you for investigating.

     
  • Tom Yohe

    Tom Yohe - 2011-07-07
    • status: open --> open-out-of-date
     
  • Jamie Cameron

    Jamie Cameron - 2011-07-09

    Ok, great!

     
  • Jamie Cameron

    Jamie Cameron - 2011-07-09
    • status: open-out-of-date --> closed-works-for-me
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks